Bug 164641 - New port: audio/rubberband, in preparation for audio/sooperlooper
New port: audio/rubberband, in preparation for audio/sooperlooper
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2012-01-30 16:20 UTC by Mathias.Picker
Modified: 2012-02-07 06:40 UTC (History)
0 users

See Also:

file.shar (5.10 KB, text/plain)
2012-01-30 16:20 UTC, Mathias.Picker
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias.Picker 2012-01-30 16:20:12 UTC
Port of rubberband, a high quality software library for audio time-stretching and pitch-shifting, which is needed to build audio/sooperlooper. 

This needs audio/vamp-plugin-sdk, see previous send-pr.

I wanted to use a live looping sampler, there was none on FreeBSD and sooperlooper proved easy to port. No midi, sadly, but osc, which is ok for me. rubberband and vamp-plugin-sdk are needed to build sooperlooper.

I can't officially maintain this, as I have a heart condition which might stop me any day, but I will probably use this for at least a year and so keep it up to date.

I'm actually using this on a 9-stable machine, it compiles on 8-10: 
Comment 1 Martin Wilke freebsd_committer 2012-02-01 11:23:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2012-02-07 06:37:47 UTC
State Changed
From-To: open->closed

New port added, i've taken the maintainership. Sorry to hear about your 
heart. I wish you all the best.
Comment 3 dfilter freebsd_committer 2012-02-07 06:37:59 UTC
miwi        2012-02-07 06:37:50 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/rubberband     Makefile distinfo pkg-descr pkg-plist 
    audio/rubberband/files patch-Makefile 
  Rubber Band Library is a high quality software library for audio time-stretching
  and pitch-shifting. It permits you to change the tempo and pitch of an audio
  stream or recording dynamically and independently of one another.
  WWW: http://breakfastquay.com/rubberband/
  PR:             ports/164641
  Submitted by:   mathias.picker@gmx.de
  Revision  Changes    Path
  1.1210    +1 -0      ports/audio/Makefile
  1.1       +37 -0     ports/audio/rubberband/Makefile (new)
  1.1       +2 -0      ports/audio/rubberband/distinfo (new)
  1.1       +11 -0     ports/audio/rubberband/files/patch-Makefile (new)
  1.1       +12 -0     ports/audio/rubberband/files/patch-StrecherProcess.cpp (new)
  1.1       +11 -0     ports/audio/rubberband/files/patch-StretcherImpl.cpp (new)
  1.1       +12 -0     ports/audio/rubberband/files/patch-system-sysutils.h (new)
  1.1       +5 -0      ports/audio/rubberband/pkg-descr (new)
  1.1       +18 -0     ports/audio/rubberband/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"